GTFS-Realtime Service Alerts
curl --request GET \
--url 'https://api.511.org/transit/servicealerts?api_key='import requests
url = "https://api.511.org/transit/servicealerts?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.511.org/transit/servicealerts?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>"
}GTFS & Bulk Feeds
GTFS-Realtime Service Alerts
Service alerts for a single agency or the regional feed. The transit page says agency is optional and format is optional.
GET
/
transit
/
servicealerts
GTFS-Realtime Service Alerts
Authorizations
511.org token query parameter.
Query Parameters
Desired response format. JSON is the default when omitted.
Available options:
json, xml Optional agency identifier. Use RG for the consolidated regional feed when supported by the current endpoint behavior.
Response
Alerts in JSON, XML, or protobuf depending on format.
The response is of type object.